/*
 * Copyright 2010-2015 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at:
 *
 *    http://aws.amazon.com/apache2.0
 *
 * This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES
 * OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and
 * limitations under the License.
 */

package com.amazonaws.mobileconnectors.lambdainvoker;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

public class LambdaJsonBinderTest {

    @Test
    public void test() {
        LambdaJsonBinder jsonBinder = new LambdaJsonBinder();
        NameInfo target = new NameInfo("first_name", "last_name");
        byte[] data = jsonBinder.serialize(target);
        NameInfo nameInfo = jsonBinder.deserialize(data, NameInfo.class);
        assertEquals("first name", target.getFirstName(), nameInfo.getFirstName());
        assertEquals("last name", target.getLastName(), nameInfo.getLastName());
    }
}
